import { AbstractControl } from "@angular/forms";
import { PageBaseComponent } from "../page/page-base/page-base.component";
export declare class PageBaseComponentTestHelper<T extends PageBaseComponent> {
    private _component;
    /**
     * Shortcut to access the component's controls
     */
    get controls(): {
        [key: string]: AbstractControl;
    };
    constructor(component: T);
    /**
     * Call and await ngOnInit and ngAfterViewInit
     *
     * @returns {Promise<void>}
     */
    initialize(): Promise<void>;
    /**
     * Simulate clicking of "Save" button
     *
     * @returns {Promise<void>}
     */
    clickSave(): Promise<void>;
    /**
   * Simulate saving without validate
   *
   * @returns {Promise<void>}
   */
    clickSaveWithoutValidate(): Promise<void>;
}
